Skip to main content
Retrieve the list of supported Nigerian banks and their codes. Use the bank codes when validating accounts and initiating transfers.

Endpoint

GET /api/v1/utility/banks
This endpoint does not require authentication.

Query parameters

ParameterTypeRequiredDescription
searchBystringNoFilter banks by name (e.g., “GTB”, “Access”)

Request example

curl -X GET "https://api-dev.usenumero.com/numeroaccount/api/v1/utility/banks"
With search filter:
curl -X GET "https://api-dev.usenumero.com/numeroaccount/api/v1/utility/banks?searchBy=GTB"

Response

{
  "status": true,
  "message": "Successful",
  "code": "200",
  "version": "v1",
  "reference": "abc123",
  "data": {
    "banks": [
      {
        "bankCode": "000013",
        "bankName": "GT Bank"
      },
      {
        "bankCode": "000014",
        "bankName": "Access Bank"
      }
    ]
  },
  "error": null
}